# Functor String_id.Make_without_pretty_printer

    module Make_without_pretty_printer: functor (M : sig
    val module_name : stringend) -> functor (* : sigend) -> S

This does what `Make` does without registering a pretty printer. Use this when the module that is made is not exposed in mli. Registering a pretty printer without exposing it causes an error in utop.

Parameters:

`M` | : | `sig val module_name : string end`
`*` | : | `()`

    include Identifiable

    module Stable: sig .. end